> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update product



## OpenAPI

````yaml patch /{shopId}/products/62e05dacbadea08abf03d158
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products/62e05dacbadea08abf03d158:
    patch:
      tags:
        - Products
      summary: Update product
      description: Update product
      operationId: updateProduct
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                digital_download:
                  type: object
                  properties:
                    name:
                      type: string
                      example: sample.pdf
                    type:
                      type: string
                      example: application/pdf
                    url:
                      type: string
                      example: >-
                        https://ucarecdn.com/92aaca76-e073-4a62-8244-5ea8c3c521b8/
                    uuid:
                      type: string
                      example: 92aaca76-e073-4a62-8244-5ea8c3c521b8
                tags:
                  type: array
                  items:
                    type: string
                    example: 625017fbe9920c42fbc8bf9d
                  example:
                    - 625017fbe9920c42fbc8bf9d
                typeAttributes:
                  type: object
                  properties:
                    packaging:
                      type: object
                      properties:
                        height:
                          type: number
                          example: 5.24
                        length:
                          type: number
                          example: 5.72
                        weight:
                          type: string
                          example: '5'
                        width:
                          type: number
                          example: 5.56
                weight:
                  type: object
                  properties:
                    unit:
                      type: string
                      example: lb
                    value:
                      type: number
                      example: 3
            example:
              digital_download:
                name: sample.pdf
                type: application/pdf
                url: https://ucarecdn.com/92aaca76-e073-4a62-8244-5ea8c3c521b8/
                uuid: 92aaca76-e073-4a62-8244-5ea8c3c521b8
              tags:
                - 625017fbe9920c42fbc8bf9d
              typeAttributes:
                packaging:
                  height: 5.24
                  length: 5.72
                  weight: '5'
                  width: 5.56
              weight:
                unit: lb
                value: 3
      responses:
        '200':
          description: ''

````